# Class ActionMatcher

Matcher using action param in get or post method to perform actions. For exemple index.php?action=addCart will find the good controller that can perform this action.

  Thelia\Routing\Matcher\ActionMatcher implements Symfony\Component\Routing\Matcher\RequestMatcherInterface

Namespace: Thelia\Routing\Matcher
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Routing/Matcher/ActionMatcher.php

Methods summary
`public` | # `setDispatcher( Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher )`
`public` | # `matchRequest( Symfony\Component\HttpFoundation\Request $request )`
`protected` | # `dispatchAction( Symfony\Component\HttpFoundation\Request $request, mixed $action )`

Properties summary
`protected Symfony\Component\EventDispatcher\EventDispatcherInterface` | $dispatcher | `` | #